<?php
/*
Plugin Name: Debug Status Display Footer
Plugin URI: http://apasionados.es/#utm_source=wpadmin&utm_medium=plugin&utm_campaign=debug-status-display-plugin
Description: Displays if WP_DEBUG is active in the admin footer. This plugin can be used alone or together with the <a href="https://wordpress.org/plugins/server-ip-memory-usage/" target="_blank">Server IP & Memory Usage Display</a> plugin.
Version: 1.1.0
Author: Apasionados, Apasionados del Marketing
Author URI: http://apasionados.es
Text Domain: debug-status-display-footer

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if ( is_admin() ) {	
	class debug_status_display {
		public function __construct() {
			add_filter( 'admin_footer_text', array (&$this, 'debug_status_display_add_footer') );
		}
		function debug_status_display_add_footer($content) {
			if (defined('WP_DEBUG') && true === WP_DEBUG) {
				$content .= ' | <strong><font color="#F60">' . __( 'WP_DEBUG', 'debug-status-display-footer' ) . '</font></strong>';			
			} else {
				$content .= ' | <span style="text-decoration: line-through;">' . __( 'WP_DEBUG', 'debug-status-display-footer' ) . '</span>';	
			}
			return $content;
		}
	}
	add_action( 'plugins_loaded', function() {
		$debugstatusvd = new debug_status_display();
	}, 110 );
}

/**
 * Do some check on plugin activation
 * @return void
 */
function debug_status_display_activation() {
	if ( version_compare( PHP_VERSION, '5.6', '<' ) ) {
		deactivate_plugins( plugin_basename( __FILE__ ) );
		load_plugin_textdomain( 'debug-status-display-footer', false,  dirname( plugin_basename( __FILE__ ) ) . '/lang/' );
		$plugin_data = get_plugin_data( __FILE__ );
		$plugin_version = $plugin_data['Version'];
		$plugin_name = $plugin_data['Name'];
		wp_die( '<h1>' . __('Could not activate plugin: PHP version error', 'debug-status-display-footer' ) . '</h1><h2>PLUGIN: <i>' . $plugin_name . ' ' . $plugin_version . '</i></h2><p><strong>' . __('You are using PHP version', 'debug-status-display-footer' ) . ' ' . PHP_VERSION . '</strong>. ' . __( 'This plugin has been tested with PHP versions 5.6 and greater.', 'debug-status-display-footer' ) . '</p><p>' . __('WordPress itself <a href="https://wordpress.org/about/requirements/" target="_blank">recommends using PHP version 7 or greater</a>. Please upgrade your PHP version or contact your Server administrator.', 'debug-status-display-footer' ) . '</p>', __('Could not activate plugin: PHP version error', 'debug-status-display-footer' ), array( 'back_link' => true ) );

	}
}
register_activation_hook( __FILE__, 'debug_status_display_activation' );